import { TMountWidget, IWidgetConfig } from '@aiware/js/sdk';
import { IInitConfig, SdkEvents, SdkEventCallback } from '@aiware/js/interfaces';
type TInitFunc = (initConfig: IInitConfig, onComplete?: (err: unknown, authToken?: string) => void) => void;
type TAiwareEventsOn<T> = (event: SdkEvents, cb: SdkEventCallback) => T;
type TAiwareEventsOff<T> = (event: SdkEvents) => T;
declare const initAiwareJs: TInitFunc;
declare const mountAiwareWidget: TMountWidget<IWidgetConfig>;
declare const unmountAiwareWidget: (widgetId: string) => Promise<void>;
declare const aiwareJsEventsOn: TAiwareEventsOn<Promise<void>>;
declare const aiwareJsEventsOff: TAiwareEventsOff<Promise<void>>;
export { initAiwareJs, mountAiwareWidget, unmountAiwareWidget, aiwareJsEventsOn, aiwareJsEventsOff };
