import{g as generateUtilityClasses,c as generateUtilityClass,j as jsxRuntime,s as styled,l as capitalize,n as darken,m as lighten,_ as _extends,r as react,d as useThemeProps,e as _objectWithoutPropertiesLoose,f as clsx,h as composeClasses}from"./js-core.esm.js";import{c as createSvgIcon,ad as Paper}from"./js-core.esm4.js";import{C as ClearIcon}from"./js-core.esm16.js";import{I as IconButton}from"./js-core.esm5.js";function getAlertUtilityClass(e){return generateUtilityClass("MuiAlert",e)}const alertClasses=generateUtilityClasses("MuiAlert",["root","action","icon","message","filled","filledSuccess","filledInfo","filledWarning","filledError","outlined","outlinedSuccess","outlinedInfo","outlinedWarning","outlinedError","standard","standardSuccess","standardInfo","standardWarning","standardError"]);var alertClasses$1=alertClasses,SuccessOutlinedIcon=createSvgIcon(jsxRuntime.exports.jsx("path",{d:"M20,12A8,8 0 0,1 12,20A8,8 0 0,1 4,12A8,8 0 0,1 12,4C12.76,4 13.5,4.11 14.2, 4.31L15.77,2.74C14.61,2.26 13.34,2 12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0, 0 22,12M7.91,10.08L6.5,11.5L11,16L21,6L19.59,4.58L11,13.17L7.91,10.08Z"}),"SuccessOutlined"),ReportProblemOutlinedIcon=createSvgIcon(jsxRuntime.exports.jsx("path",{d:"M12 5.99L19.53 19H4.47L12 5.99M12 2L1 21h22L12 2zm1 14h-2v2h2v-2zm0-6h-2v4h2v-4z"}),"ReportProblemOutlined"),ErrorOutlineIcon=createSvgIcon(jsxRuntime.exports.jsx("path",{d:"M11 15h2v2h-2zm0-8h2v6h-2zm.99-5C6.47 2 2 6.48 2 12s4.47 10 9.99 10C17.52 22 22 17.52 22 12S17.52 2 11.99 2zM12 20c-4.42 0-8-3.58-8-8s3.58-8 8-8 8 3.58 8 8-3.58 8-8 8z"}),"ErrorOutline"),InfoOutlinedIcon=createSvgIcon(jsxRuntime.exports.jsx("path",{d:"M11,9H13V7H11M12,20C7.59,20 4,16.41 4,12C4,7.59 7.59,4 12,4C16.41,4 20,7.59 20, 12C20,16.41 16.41,20 12,20M12,2A10,10 0 0,0 2,12A10,10 0 0,0 12,22A10,10 0 0,0 22,12A10, 10 0 0,0 12,2M11,17H13V11H11V17Z"}),"InfoOutlined");const _excluded=["action","children","className","closeText","color","components","componentsProps","icon","iconMapping","onClose","role","severity","slotProps","slots","variant"],useUtilityClasses=e=>{var{variant:e,color:t,severity:o,classes:s}=e,t={root:["root",""+e+capitalize(t||o),""+e],icon:["icon"],message:["message"],action:["action"]};return composeClasses(t,getAlertUtilityClass,s)},AlertRoot=styled(Paper,{name:"MuiAlert",slot:"Root",overridesResolver:(e,t)=>{e=e.ownerState;return[t.root,t[e.variant],t[""+e.variant+capitalize(e.color||e.severity)]]}})(({theme:e,ownerState:t})=>{var o="light"===e.palette.mode?darken:lighten,s="light"===e.palette.mode?lighten:darken,r=t.color||t.severity;return _extends({},e.typography.body2,{backgroundColor:"transparent",display:"flex",padding:"6px 16px"},r&&"standard"===t.variant&&{color:e.vars?e.vars.palette.Alert[r+"Color"]:o(e.palette[r].light,.6),backgroundColor:e.vars?e.vars.palette.Alert[r+"StandardBg"]:s(e.palette[r].light,.9),["& ."+alertClasses$1.icon]:e.vars?{color:e.vars.palette.Alert[r+"IconColor"]}:{color:e.palette[r].main}},r&&"outlined"===t.variant&&{color:e.vars?e.vars.palette.Alert[r+"Color"]:o(e.palette[r].light,.6),border:"1px solid "+(e.vars||e).palette[r].light,["& ."+alertClasses$1.icon]:e.vars?{color:e.vars.palette.Alert[r+"IconColor"]}:{color:e.palette[r].main}},r&&"filled"===t.variant&&_extends({fontWeight:e.typography.fontWeightMedium},e.vars?{color:e.vars.palette.Alert[r+"FilledColor"],backgroundColor:e.vars.palette.Alert[r+"FilledBg"]}:{backgroundColor:"dark"===e.palette.mode?e.palette[r].dark:e.palette[r].main,color:e.palette.getContrastText(e.palette[r].main)}))}),AlertIcon=styled("div",{name:"MuiAlert",slot:"Icon",overridesResolver:(e,t)=>t.icon})({marginRight:12,padding:"7px 0",display:"flex",fontSize:22,opacity:.9}),AlertMessage=styled("div",{name:"MuiAlert",slot:"Message",overridesResolver:(e,t)=>t.message})({padding:"8px 0",minWidth:0,overflow:"auto"}),AlertAction=styled("div",{name:"MuiAlert",slot:"Action",overridesResolver:(e,t)=>t.action})({display:"flex",alignItems:"flex-start",padding:"4px 0 0 16px",marginLeft:"auto",marginRight:-8}),defaultIconMapping={success:jsxRuntime.exports.jsx(SuccessOutlinedIcon,{fontSize:"inherit"}),warning:jsxRuntime.exports.jsx(ReportProblemOutlinedIcon,{fontSize:"inherit"}),error:jsxRuntime.exports.jsx(ErrorOutlineIcon,{fontSize:"inherit"}),info:jsxRuntime.exports.jsx(InfoOutlinedIcon,{fontSize:"inherit"})},Alert=react.exports.forwardRef(function(e,t){var e=useThemeProps({props:e,name:"MuiAlert"}),{action:o,children:s,className:r,closeText:l="Close",color:n,components:a={},componentsProps:i={},icon:c,iconMapping:d=defaultIconMapping,onClose:p,role:u="alert",severity:m="success",slotProps:x={},slots:g={},variant:v="standard"}=e,h=_objectWithoutPropertiesLoose(e,_excluded),e=_extends({},e,{color:n,severity:m,variant:v}),n=useUtilityClasses(e),v=null!=(v=null!=(v=g.closeButton)?v:a.CloseButton)?v:IconButton,a=null!=(g=null!=(g=g.closeIcon)?g:a.CloseIcon)?g:ClearIcon,g=null!=(g=x.closeButton)?g:i.closeButton,x=null!=(x=x.closeIcon)?x:i.closeIcon;return jsxRuntime.exports.jsxs(AlertRoot,_extends({role:u,elevation:0,ownerState:e,className:clsx(n.root,r),ref:t},h,{children:[!1!==c?jsxRuntime.exports.jsx(AlertIcon,{ownerState:e,className:n.icon,children:c||d[m]||defaultIconMapping[m]}):null,jsxRuntime.exports.jsx(AlertMessage,{ownerState:e,className:n.message,children:s}),null!=o?jsxRuntime.exports.jsx(AlertAction,{ownerState:e,className:n.action,children:o}):null,null==o&&p?jsxRuntime.exports.jsx(AlertAction,{ownerState:e,className:n.action,children:jsxRuntime.exports.jsx(v,_extends({size:"small","aria-label":l,title:l,color:"inherit",onClick:p},g,{children:jsxRuntime.exports.jsx(a,_extends({fontSize:"small"},x))}))}):null]}))});var Alert$1=Alert;export{Alert$1 as A};
