import{dU as EntityType,X as createSlice,r as react,Z as useSelector,K as userSelector,z as all,B as takeEvery$1,C as select,a0 as selectApiConfigs,D as graphEndpointSelector,E as sessionTokenSelector,dV as selectIsOLPEnabled,G as put,F as call,H as take,S as baseGraphQLApi,a3 as baseGraphQLApiWithError}from"./js-core.esm.js";import{u as useDispatch}from"./js-core.esm6.js";var EPermissionAction,EAuthResourceType,EAuthSubResourceType;!function(e){e.Create="create",e.Read="read",e.Update="update",e.Delete="delete",e.File="file",e.CustomerService="customerService",e.Access="access"}(EPermissionAction=EPermissionAction||{}),function(e){e.Folder="Folder",e.TDO="TDO",e.Organization="Organization",e.Source="Source",e.Schedule="Schedule",e.Job="Job"}(EAuthResourceType=EAuthResourceType||{}),function(e){e.Group="group",e.Media="media",e.Package="package",e.User="user",e.Workflow="workflow",e.ProcessingCenter="processingCenter",e.ResourceCenter="resourceCenter"}(EAuthSubResourceType=EAuthSubResourceType||{});const orgRightsByObjectPermission={[EAuthResourceType.TDO]:{create:["cms.media.create","recording.create"],read:["cms.media.read","recording.read"],update:["cms.media.update","recording.update"],delete:["cms.media.delete","recording.delete"]},[EAuthResourceType.Folder]:{create:["cms.media.create","recording.create"],read:["cms.media.read","recording.read"],update:["cms.media.update","recording.update"],delete:["cms.media.delete","recording.delete"],file:["cms.media.create","recording.create"]},[EAuthResourceType.Source]:{create:["cms.media.create","recording.create"],read:["cms.media.read","recording.read"],update:["cms.media.update","recording.update","source.update"],delete:["cms.media.delete","recording.delete"]},[EAuthResourceType.Job]:{customerService:["cms.customerservice"],create:["job.create"],read:["job.read"],update:["job.update"],delete:["job.delete"]},[EAuthResourceType.Schedule]:{customerService:["cms.customerservice"],create:["job.create"],read:["job.read"],update:["job.update"],delete:["job.delete"]},[EAuthSubResourceType.User]:{create:["admin.user.create"],delete:["admin.user.delete"]},[EAuthSubResourceType.Group]:{create:["admin.group.create"],delete:["admin.group.delete"]},[EAuthSubResourceType.Package]:{update:["developer.build.update"]}},permissionActionsToFetchByObjectType={[EAuthResourceType.TDO]:{create:"AIWARE_TDO_CREATE",read:"AIWARE_TDO_READ",update:"AIWARE_TDO_UPDATE",delete:"AIWARE_TDO_DELETE"},[EAuthResourceType.Folder]:{create:"AIWARE_FOLDER_CREATE",read:"AIWARE_FOLDER_READ",update:"AIWARE_FOLDER_UPDATE",delete:"AIWARE_FOLDER_DELETE",file:"AIWARE_FOLDER_FILE"},[EAuthResourceType.Source]:{create:"AIWARE_SOURCES_CREATE",read:"AIWARE_SOURCES_READ",update:"AIWARE_SOURCES_UPDATE",delete:"AIWARE_SOURCES_DELETE"},[EAuthResourceType.Job]:{customerService:"CMS_CUSTOMERSERVICE",create:"AIWARE_JOB_CREATE",read:"AIWARE_JOB_READ",update:"AIWARE_JOB_UPDATE",delete:"AIWARE_JOB_DELETE"},[EAuthResourceType.Schedule]:{customerService:"CMS_CUSTOMERSERVICE",create:"AIWARE_JOB_CREATE",read:"AIWARE_JOB_READ",update:"AIWARE_JOB_UPDATE",delete:"AIWARE_JOB_DELETE"},[EAuthResourceType.Organization]:{[EAuthSubResourceType.Group]:{create:"AIWARE_GROUP_CREATE",delete:"AIWARE_GROUP_DELETE"},[EAuthSubResourceType.Package]:{create:"AIWARE_PACKAGE_CREATE",read:"AIWARE_PACKAGE_READ",update:"AIWARE_PACKAGE_UPDATE",delete:"AIWARE_PACKAGE_DELETE"},[EAuthSubResourceType.User]:{create:"AIWARE_USER_CREATE",delete:"AIWARE_USER_DELETE"},[EAuthSubResourceType.ResourceCenter]:{access:"AIWARE_RESOURCE_CENTER_ACCESS"}}},permissionTypeToFetchByEntityType={[EAuthResourceType.TDO]:[EAuthResourceType.TDO],[EAuthResourceType.Folder]:[EAuthResourceType.Folder],[EAuthResourceType.Source]:[EAuthResourceType.Source],[EAuthResourceType.Job]:[EAuthResourceType.Job],[EAuthResourceType.Schedule]:[EAuthResourceType.Schedule],[EAuthResourceType.Organization]:[EAuthResourceType.Organization,EAuthResourceType.TDO,EAuthResourceType.Folder,EAuthResourceType.Source,EAuthResourceType.Schedule,EAuthResourceType.Job]},authResourcesByEntityType={[EntityType.Folders]:EAuthResourceType.Folder,[EntityType.Tdos]:EAuthResourceType.TDO,[EntityType.Sources]:[EAuthResourceType.Source],[EntityType.Schedules]:[EAuthResourceType.Schedule]},convertEntityToAuthResource=e=>authResourcesByEntityType[e],convertPermissionsToRights=(e,t,s)=>{const r=(null==(e=orgRightsByObjectPermission[e])?void 0:e[t])||[];return 0<s.filter(e=>r&&r.includes(e)).length},permissionDetailIsActionPair=e=>Object.keys(e).some(e=>Object.values(EPermissionAction).includes(e)),getQueryActions=(e,t,s)=>({targetObjectType:e,targetActions:Object.keys(t).map(e=>({targetAction:e,serverName:t[e],resource:s}))}),getPermissionActions=(t,s)=>{return permissionDetailIsActionPair(t)?[getQueryActions(s,t)]:Object.keys(t).map(e=>getQueryActions(s,t[e]||{},e))},getPermissionTypesToQuery=e=>{return(permissionTypeToFetchByEntityType[e]||[]).flatMap(e=>getPermissionActions(permissionActionsToFetchByObjectType[e]||{},e))},isPermissionLoading=e=>!e||"pending"===e.status||"idle"===e.status,hasPermission=(e,t)=>!!e&&("failure"===e.status||e&&"success"===e.status&&e.permissions&&e.permissions[t]),namespace="permissions",initialState={permissionsByObject:{},rights:{status:"idle"}},slice=createSlice({name:namespace,initialState:initialState,reducers:{fetchObjectPermissionsStart(e,t){var{entityType:t,entityId:s}=t.payload;Object.prototype.hasOwnProperty.call(e.permissionsByObject,t)||(e.permissionsByObject[t]={}),Object.prototype.hasOwnProperty.call(e.permissionsByObject[t],s)||(e.permissionsByObject[t][s]={}),Object.prototype.hasOwnProperty.call(e.permissionsByObject[t][s],t)||(e.permissionsByObject[t][s][t]={status:"idle"})},fetchObjectPermissionsStarted(e,t){var{entityId:t,entityType:s}=t.payload;e.permissionsByObject[s][t][s].status="pending"},fetchObjectPermissionsSucceeded(t,e){const{entityType:s,entityId:r,permissions:i,source:c}=e.payload;Object.keys(i).forEach(e=>{t.permissionsByObject[s][r][e]={status:"success",source:c,permissions:i[e]}})},fetchObjectPermissionsFailed(e,t){var{entityType:t,entityId:s}=t.payload;e.permissionsByObject[t][s][t]={status:"failure"}},fetchMyRightsStarted(e){e.rights.status="pending"},fetchMyRightsSucceeded(e,t){e.rights.status="success",e.rights.myRights=t.payload},fetchMyRightsFailed(e){e.rights.status="failure"}}}),actions=slice.actions;var permissionsReducer=slice.reducer;function __awaiter(e,o,a,n){return new(a=a||Promise)(function(s,t){function r(e){try{c(n.next(e))}catch(e){t(e)}}function i(e){try{c(n.throw(e))}catch(e){t(e)}}function c(e){var t;e.done?s(e.value):((t=e.value)instanceof a?t:new a(function(e){e(t)})).then(r,i)}c((n=n.apply(e,o||[])).next())})}function getObjectPermissions(d,y,p){var l;return __awaiter(this,void 0,void 0,function*(){var{entityType:e,entityId:t}=p,s="getPermissions",r=getPermissionTypesToQuery(e);let i=!1,c=[],o={};for(;!i;){var a=`
    query ${s}($entityType: AuthResourceType!, $entityId: ID!) {
        ${r.reduce((s,e)=>{const{targetObjectType:r,targetActions:t}=e;return t.forEach(e=>{var t=e.resource?`${r}__${e.resource}__`+e.targetAction:r+"__"+e.targetAction;c.includes(e.serverName)||s.push(`
          ${t}: hasPermissions(resourceType: $entityType, ids: [$entityId], permissions: [${e.serverName}]) {
            hasPermission
        }
        `)}),s},[]).join("\r\n")}
    }
  `,n={entityId:t,entityType:e};try{o=yield baseGraphQLApi({query:a,operationName:s,variables:n,graphEndpoint:d,token:y})}catch(e){i=!0}if(o.errors){if(0===(c=o.errors.filter(({message:e})=>e.includes(' does not exist in "AuthPermissionType" enum.')).map(({message:e})=>{var t='Value "',s=e.substring(t.length).indexOf('"');return e.substring(t.length,t.length+s)})).length)throw i=!0,o={},new Error((null==(l=(o.errors||[])[0])?void 0:l.message)||"Error")}else i=!0}const u=o.data||{};return Object.keys(u).map(e=>{var t=e.split("__");return 3===t.length?{fetchedTargetEntityType:t[0],fetchedTargetGroupType:t[1],fetchedTargetAction:t[2],hasPermission:u[e][0].hasPermission}:{fetchedTargetEntityType:t[0],fetchedTargetAction:t[1],hasPermission:u[e][0].hasPermission}}).reduce((e,t)=>{var s=t.fetchedTargetGroupType||t.fetchedTargetEntityType;return t.hasPermission&&(e[s]||(e[s]={}),e[s][t.fetchedTargetAction]=t.hasPermission),e},{})})}function getMyRights(t){return __awaiter(this,void 0,void 0,function*(){var e="getMyRights";return(yield baseGraphQLApiWithError(Object.assign({query:"\n    query getMyRights {\n      myRights {\n        operations\n      }\n    }\n  ",operationName:e},t))).myRights.operations})}const selectPermissionsByEntity=(t,s,r)=>e=>{return t&&s&&(e=e[namespace].permissionsByObject[t])&&e[s]?e[s][r||t]:void 0},selectMyRights=e=>e[namespace].rights;var index=Object.freeze({__proto__:null,selectPermissionsByEntity:selectPermissionsByEntity,selectMyRights:selectMyRights});const olpAllowedResourceTypes=[EAuthResourceType.Folder,EAuthResourceType.TDO];function*fetchObjectPermissions(t){var{entityId:t,entityType:s}=t.payload,i=yield select(selectApiConfigs),c=yield select(graphEndpointSelector),o=yield select(sessionTokenSelector),a=yield select(selectIsOLPEnabled),e=yield select(selectPermissionsByEntity(s,t));if(!e||"success"!==e.status&&"pending"!==e.status){yield put(actions.fetchObjectPermissionsStarted({entityId:t,entityType:s}));try{let r={},e="rights";if(a&&olpAllowedResourceTypes.includes(s))e="OLP",r=yield call(getObjectPermissions,c,o,{entityType:s,entityId:t});else{let e=yield select(selectMyRights);if("success"!==e.status&&"pending"!==e.status){yield put(actions.fetchMyRightsStarted());try{var n=yield call(getMyRights,i);yield put(actions.fetchMyRightsSucceeded(n)),e=yield select(selectMyRights)}catch(e){throw yield put(actions.fetchMyRightsFailed),e}}else"pending"===e.status&&(yield take([actions.fetchMyRightsFailed,actions.fetchMyRightsSucceeded]),e=yield select(selectMyRights));const u=e["myRights"];getPermissionTypesToQuery(s).forEach(s=>{var{action:e,resource:t}=s.targetActions.reduce((e,t)=>(e.action[t.targetAction]=convertPermissionsToRights(t.resource||s.targetObjectType,t.targetAction,u),e.resource=t.resource,e),{action:{}});r[t||s.targetObjectType]=e})}yield put(actions.fetchObjectPermissionsSucceeded({entityId:t,entityType:s,source:e,permissions:r}))}catch(e){yield put(actions.fetchObjectPermissionsFailed({entityId:t,entityType:s}))}}}function*watchPermissionsStart(){yield takeEvery$1(actions.fetchObjectPermissionsStart.type,fetchObjectPermissions)}function*rootSaga(){yield all([watchPermissionsStart()])}function getPermissionsModule(){return{id:namespace,reducerMap:{[namespace]:permissionsReducer},sagas:[rootSaga],initialActions:[]}}const useOrganizationPermissions=e=>{const t=react.exports.useRef(),s=useDispatch(),r=null==(c=useSelector(userSelector).organization)?void 0:c.organizationId,i=useSelector(selectPermissionsByEntity(EAuthResourceType.Organization,String(r),e));react.exports.useEffect(()=>{!r||i&&"failure"!==i.status&&"idle"!==i.status&&t.current===r||(t.current=r,s(actions.fetchObjectPermissionsStart({entityType:EAuthResourceType.Organization,entityId:String(r)})))},[s,r,i]);var c=react.exports.useCallback(e=>{return!isPermissionLoading(i)&&hasPermission(i,e)},[i]);return{permissions:i,hasPermission:c}};export{EAuthResourceType,EAuthSubResourceType,EPermissionAction,actions,convertEntityToAuthResource,convertPermissionsToRights,getPermissionTypesToQuery,getPermissionsModule,hasPermission,isPermissionLoading,index as selectors,useOrganizationPermissions};
